*{
	box-sizing: border-box;
}

html{
	font-family: $mainFont;
	overflow-x: hidden;
	height: 100%;
	width: 100%;
	font-size: $remInit; /* INIT REM DON'T TOUCH! if you want to change font size do it in body tag plz */
}

body{
	height: 100%;
	width: 100%;
	font-size: $baseFontSize;
	font-weight: 100;
	background-color: $bck2;
}

/* normalize afte mayeur reset sub/su styles
* based on : https://gist.github.com/unruthless/413930
*/
.exposent {
	font-size: 75%;
	line-height: 0;
	position: relative;
	vertical-align: baseline;
}

sup {
	@extend .exposent;
	top: -0.5em;
}

sub {
	@extend .exposent;
	bottom: -0.25em;
}

i{
	font-style: italic;
}

a{
	text-decoration: none;
	&:hover{
		text-decoration: none;
	}
}

.both, .clear{
	clear: both;
	@include clearfix();
}

.block{
	position: relative;
	display: block;
}

.absolute-block, .abs-block{
	position: absolute;
	display: block;
	float: none;
}

.fixed-block{
	position: fixed;
	display: block;
	float: none;
}

.table-block{
	position: relative;
	display: table;
}

.left-block{
	@extend .block;
	float: left;
}

.right-block{
	@extend .block;
	float: right;
}

.break-block{
	@extend .block;
	@extend .both;
}

.auto-block{
	@extend .break-block;
	left: 0;
	right: 0;
	margin-left: auto;
	margin-right: auto;
	float: none;
}

.auto-abs-block{ /* hack css margin auto in absolute */
	@extend .absolute-block;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	margin: auto;
}

.ninja-block{ /* NIN NIN! */
	@extend .block;
	height: 0rem;
	width: 0rem;
	visibility: hidden;
	overflow: hidden;
}

.full-bg, .cover-bg{
	background-position: 50% 50%;
	background-repeat: no-repeat;
	
	@include background-size( cover );
}
.contain-bg{
	background-position: 50% 50%;
	background-repeat: no-repeat;
	
	@include background-size( contain );
}
.center-bg, .auto-bg{
	background-position: 50% 50%;
	background-repeat: no-repeat;
	
	@include background-size( auto );
}

.full-fixed-bg{
	@extend .full-bg;
	background-attachment: fixed;
}

#page, #main-container{
	@extend .auto-block;
	width: 100%;
	max-width: $pageSize;
	min-width: $pageSizeMin;
	min-height: 100vh;
	overflow: hidden;
}
.container{
	@extend .auto-block;
	max-width: $containerSize;
	width: 100%;
	padding-left: $marginstd;
	padding-right: $marginstd;
}

.img-responsive{
	width: auto;
	height: auto;
	max-width: 100%;
	max-height: 100%;
}

.img-full{
	width: 100%;
	height: auto;
}

img{
	max-width: 100%;
	max-height: 100%;
}

.site-main{
	padding: 0;
}

.entry-footer, .comments-area, .mobil-only, .post-navigation{
	display: none!important;
}

.svg-dotted{
	@extend .absolute-block;
	max-width: 100%;
}

.abstractElem, .abstract-element{
	@extend .absolute-block;
	content: '';
}
.title{
	font-family: $titleFont;
}
h1, h2, h3, h4, h5, h6, .title-strong{
	@extend .title;
}
.btn{
	@extend .block;
	font-family: $titleFont;
}
.btn-silver, .btn-red, button, input[type="submit"]{
	@extend .btn;
}
.default-transition{
	@include single-transition( opacity, 0.5s );
}
.all-transition{
	@include single-transition( all, 1s );
}
.color-transition{
	@include transition( color 0.5s, background-color 0.5s );
}
.center{
	display: flex;
	justify-content: center;
	flex-direction: column;
	height: 100%;
	text-align: center;
	>*{
		margin-left: auto;
		margin-right: auto;
	}
}
.lowercase{
	text-transform: lowercase!important;
}
.uppercase{
	text-transform: uppercase!important;
}
.capitalize{
	text-transform: capitalize!important;
}
small, .small{
	font-size: 1.3rem;
}
.align-left{
	text-align: left;
}
.align-right{
	text-align: right;
}
.align-center{
	text-align: center;
}